import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bb5b86a01112c503604e2f1431f457c4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DirectAnswerResultRepresentation, existing: DirectAnswerResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DirectAnswerResultRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DirectAnswerResultRepresentationNormalized, incoming: DirectAnswerResultRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DirectAnswerResultRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Direct Answer Result Response
 *
 * Keys:
 *    (none)
 */
export interface DirectAnswerResultRepresentationNormalized {
    /** An LLM-provided explanation for the Direct Answer response */
    explanation: string | null;
    /** Indicates that no results were found */
    hasNoResult: boolean | null;
    /** The LLM-based Direct Answer response */
    result: string | null;
    /** The ID corresponding to the askCRMData invocation */
    turnId: string | null;
}
/**
 * Direct Answer Result Response
 *
 * Keys:
 *    (none)
 */
export interface DirectAnswerResultRepresentation {
    explanation: string | null;
    hasNoResult: boolean | null;
    result: string | null;
    turnId: string | null;
}
